Skip to main content
PATCH
/
v3
/
document_types
/
{identifier}
Update a document type
curl --request PATCH \
  --url https://{region}.affinda.com/v3/document_types/{identifier} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
import requests

url = "https://{region}.affinda.com/v3/document_types/{identifier}"

payload = {
    "name": "<string>",
    "description": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', description: '<string>'})
};

fetch('https://{region}.affinda.com/v3/document_types/{identifier}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "identifier": "mEFayXdO",
  "name": "<string>",
  "organization": "<string>",
  "description": "<string>",
  "ingest_email": "<string>"
}
{
  "type": "validation_error",
  "errors": [
    {
      "attr": "non_field_errors",
      "code": "unique",
      "detail": "This index name has already been used"
    }
  ]
}
{
  "type": "validation_error",
  "errors": [
    {
      "attr": "non_field_errors",
      "code": "unique",
      "detail": "This index name has already been used"
    }
  ]
}
{
  "type": "validation_error",
  "errors": [
    {
      "attr": "non_field_errors",
      "code": "unique",
      "detail": "This index name has already been used"
    }
  ]
}

Authorizations

Authorization
string
header
required

Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}. You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.

Path Parameters

identifier
string
required

Document type identifier

Body

application/json
name
string

The new name of the document type.

description
string | null

A new description of the document type.

Response

Document type updated successfully

identifier
string
required

Uniquely identify a document type.

Example:

"mEFayXdO"

name
string
required

The name of the document type.

organization
string
required

The identifier of the organization this document type belongs to.

description
string | null

A description of the document type.

ingest_email
string

The email address that can be used to email documents directly to this document type.